/*
 * Intel ACPI Component Architecture
 * AML Disassembler version 20060912
 *
 * Disassembly of DSDT.dat
 *
 *
 * Original Table Header:
 *     Signature        "DSDT"
 *     Length           0x00002900 (10496)
 *     Revision         0x01
 *     OEM ID           "AMD   "
 *     OEM Table ID     "DBM690T "
 *     OEM Revision     0x00010001 (65537)
 *     Creator ID       "INTL"
 *     Creator Revision 0x20060912 (537266450)
 */
DefinitionBlock ("DSDT.aml", "DSDT", 1, "AMD   ", "DBM690T ", 0x00010001)
{
    Name (TOM, 0xC0000000)
    Name (TOM2, 0x00014000)
    Name (LOMH, Zero)
    Name (PBAD, Zero)
    Name (PBLN, Zero)
    Name (PCBA, 0xE0000000)
    Name (HPBA, 0xFED00000)
    Name (SSFG, 0x0D)
    Name (UOM0, Zero)
    Name (UOM1, 0x02)
    Name (UOM2, Zero)
    Name (UOM3, 0x07)
    Name (UOM4, 0x02)
    Name (UOM5, 0x02)
    Name (UOM6, 0x06)
    Name (UOM7, 0x02)
    Name (UOM8, 0x06)
    Name (UOM9, 0x06)
    Scope (_PR)
    {
        Processor (CPU0, 0x00, 0x00000808, 0x06)
        {
            Name (_PSS, Package (0x02)
            {
                Package (0x06)
                {
                    0x00000708, 
                    0x0000F230, 
                    0x00000064, 
                    0x00000007, 
                    0xE8202B0A, 
                    0x0000030A
                }, 

                Package (0x06)
                {
                    0x000003E8, 
                    0x00006831, 
                    0x00000064, 
                    0x00000007, 
                    0xE8202C82, 
                    0x00000482
                }
            })
            Name (_PCT, Package (0x02)
            {
                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x00,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        ,)
                }, 

                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x00,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        ,)
                }
            })
            Method (_PPC, 0, NotSerialized)
            {
                Return (Zero)
            }
        }

        Processor (CPU1, 0x01, 0x00000000, 0x00)
        {
            Name (_PSS, Package (0x02)
            {
                Package (0x06)
                {
                    0x00000708, 
                    0x0000F230, 
                    0x00000064, 
                    0x00000007, 
                    0xE8202B0A, 
                    0x0000030A
                }, 

                Package (0x06)
                {
                    0x000003E8, 
                    0x00006831, 
                    0x00000064, 
                    0x00000007, 
                    0xE8202C82, 
                    0x00000482
                }
            })
            Name (_PCT, Package (0x02)
            {
                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x00,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        ,)
                }, 

                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x00,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        ,)
                }
            })
            Method (_PPC, 0, NotSerialized)
            {
                Return (Zero)
            }
        }

        Processor (CPU2, 0x02, 0x00000000, 0x00)
        {
            Name (_PSS, Package (0x02)
            {
                Package (0x06)
                {
                    0x00000708, 
                    0x0000F230, 
                    0x00000064, 
                    0x00000007, 
                    0xE8202B0A, 
                    0x0000030A
                }, 

                Package (0x06)
                {
                    0x000003E8, 
                    0x00006831, 
                    0x00000064, 
                    0x00000007, 
                    0xE8202C82, 
                    0x00000482
                }
            })
            Name (_PCT, Package (0x02)
            {
                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x00,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        ,)
                }, 

                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x00,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        ,)
                }
            })
            Method (_PPC, 0, NotSerialized)
            {
                Return (Zero)
            }
        }

        Processor (CPU3, 0x03, 0x00000000, 0x00)
        {
            Name (_PSS, Package (0x02)
            {
                Package (0x06)
                {
                    0x00000708, 
                    0x0000F230, 
                    0x00000064, 
                    0x00000007, 
                    0xE8202B0A, 
                    0x0000030A
                }, 

                Package (0x06)
                {
                    0x000003E8, 
                    0x00006831, 
                    0x00000064, 
                    0x00000007, 
                    0xE8202C82, 
                    0x00000482
                }
            })
            Name (_PCT, Package (0x02)
            {
                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x00,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        ,)
                }, 

                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x00,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        ,)
                }
            })
            Method (_PPC, 0, NotSerialized)
            {
                Return (Zero)
            }
        }
    }

    Name (OSTP, 0x03)
    Name (OSV, Ones)
    Name (PMOD, One)
    OperationRegion (PRQM, SystemIO, 0x0C00, 0x02)
    Field (PRQM, ByteAcc, NoLock, Preserve)
    {
        PRQI,   8, 
        PRQD,   8
    }

    IndexField (PRQI, PRQD, ByteAcc, NoLock, Preserve)
    {
        PINA,   8, 
        PINB,   8, 
        PINC,   8, 
        PIND,   8, 
        AINT,   8, 
        SINT,   8, 
                Offset (0x07), 
        AAUD,   8, 
        AMOD,   8, 
        PINE,   8, 
        PINF,   8, 
        PING,   8, 
        PINH,   8
    }

    OperationRegion (PERC, SystemIO, 0x0C14, One)
    Field (PERC, ByteAcc, NoLock, Preserve)
    {
        SENS,   1, 
        PENS,   1, 
        SENE,   1, 
        PENE,   1
    }

    OperationRegion (CMT, SystemIO, 0x0C50, 0x02)
    Field (CMT, ByteAcc, NoLock, Preserve)
    {
        CMTI,   8, 
        G64E,   1, 
        G64O,   1, 
        G32O,   2, 
            ,   2, 
        GPSL,   2
    }

    OperationRegion (GPT, SystemIO, 0x0C52, One)
    Field (GPT, ByteAcc, NoLock, Preserve)
    {
        GPB0,   1, 
        GPB1,   1, 
        GPB2,   1, 
        GPB3,   1, 
        GPB4,   1, 
        GPB5,   1, 
        GPB6,   1, 
        GPB7,   1
    }

    OperationRegion (FRE, SystemIO, 0x0C6F, One)
    Field (FRE, ByteAcc, NoLock, Preserve)
    {
            ,   6, 
        FLRE,   1
    }

    OperationRegion (PM2R, SystemIO, 0x0CD0, 0x02)
    Field (PM2R, ByteAcc, NoLock, Preserve)
    {
        PM2I,   8, 
        PM2D,   8
    }

    OperationRegion (PIOR, SystemIO, 0x0CD6, 0x02)
    Field (PIOR, ByteAcc, NoLock, Preserve)
    {
        PIOI,   8, 
        PIOD,   8
    }

    IndexField (PIOI, PIOD, ByteAcc, NoLock, Preserve)
    {
            ,   1, 
        T1EE,   1, 
        T2EE,   1, 
                Offset (0x01), 
            ,   1, 
        T1E,    1, 
        T2E,    1, 
                Offset (0x04), 
            ,   7, 
        SSEN,   1, 
                Offset (0x07), 
            ,   7, 
        CSSM,   1, 
                Offset (0x10), 
            ,   6, 
        PWDE,   1, 
                Offset (0x1C), 
            ,   3, 
        MKME,   1, 
        IO3E,   1, 
        IO2E,   1, 
        IO1E,   1, 
        IO0E,   1, 
            ,   3, 
        MKMS,   1, 
        IO3S,   1, 
        IO2S,   1, 
        IO1S,   1, 
        IO0S,   1, 
                Offset (0x20), 
        APEB,   16, 
                Offset (0x36), 
            ,   6, 
        ELC6,   1, 
        ELC7,   1, 
            ,   3, 
        PLC0,   1, 
        PLC1,   1, 
        PLC2,   1, 
        PLC3,   1, 
        PLC8,   1, 
            ,   1, 
        PLC4,   1, 
        PLC5,   1, 
            ,   1, 
        PLC6,   1, 
        PLC7,   1, 
                Offset (0x3B), 
        GP0S,   1, 
        GM4S,   1, 
        GM5S,   1, 
        APS,    1, 
        GM6S,   1, 
        GM7S,   1, 
        GP2S,   1, 
        STSS,   1, 
                Offset (0x55), 
        SPRE,   1, 
            ,   1, 
            ,   1, 
        PNAT,   1, 
        PWMK,   1, 
        PWNS,   1, 
                Offset (0x65), 
            ,   4, 
        URRE,   1, 
                Offset (0x68), 
            ,   3, 
        TMTE,   1, 
            ,   1, 
                Offset (0x92), 
            ,   7, 
        E7IS,   1, 
                Offset (0x96), 
        G8IS,   1, 
        G9IS,   1, 
                Offset (0x9A), 
            ,   7, 
        HPDE,   1, 
                Offset (0xA8), 
        IO4E,   1, 
        IO5E,   1, 
        IO6E,   1, 
        IO7E,   1, 
                Offset (0xA9), 
        IO4S,   1, 
        IO5S,   1, 
        IO6S,   1, 
        IO7S,   1
    }

    OperationRegion (P1EB, SystemIO, APEB, 0x04)
    Field (P1EB, ByteAcc, NoLock, Preserve)
    {
        TMST,   1, 
            ,   3, 
        BMST,   1, 
        GBST,   1, 
                Offset (0x01), 
        PBST,   1, 
            ,   1, 
        RTST,   1, 
            ,   3, 
        PWST,   1, 
        SPWS,   1, 
        TMEN,   1, 
            ,   4, 
        GBEN,   1, 
                Offset (0x03), 
        PBEN,   1, 
            ,   1, 
        RTEN,   1, 
            ,   3, 
        PWDA,   1
    }

    Scope (_SB)
    {
        OperationRegion (PCFG, SystemMemory, PCBA, 0x01000000)
        Field (PCFG, ByteAcc, NoLock, Preserve)
        {
                    Offset (0x90024), 
            STB5,   32, 
                    Offset (0x98042), 
            PT0D,   1, 
            PT1D,   1, 
            PT2D,   1, 
            PT3D,   1, 
            PT4D,   1, 
            PT5D,   1, 
            PT6D,   1, 
            PT7D,   1, 
            PT8D,   1, 
            PT9D,   1, 
                    Offset (0xA0004), 
            SBIE,   1, 
            SBME,   1, 
                    Offset (0xA0008), 
            SBRI,   8, 
                    Offset (0xA0014), 
            SBB1,   32, 
                    Offset (0xA0078), 
                ,   14, 
            P92E,   1
        }

        OperationRegion (SB5, SystemMemory, STB5, 0x1000)
        Field (SB5, AnyAcc, NoLock, Preserve)
        {
                    Offset (0x120), 
            P0ER,   1, 
                ,   2, 
            P0DQ,   1, 
                ,   3, 
            P0BY,   1, 
                    Offset (0x128), 
            P0DD,   4, 
                    Offset (0x129), 
            P0IS,   4, 
                    Offset (0x12C), 
            P0DI,   4, 
                    Offset (0x130), 
                    Offset (0x132), 
            P0PR,   1, 
                    Offset (0x1A0), 
            P1ER,   1, 
                ,   2, 
            P1DQ,   1, 
                ,   3, 
            P1BY,   1, 
                    Offset (0x1A8), 
            P1DD,   4, 
                    Offset (0x1A9), 
            P1IS,   4, 
                    Offset (0x1AC), 
            P1DI,   4, 
                    Offset (0x1B0), 
                    Offset (0x1B2), 
            P1PR,   1, 
                    Offset (0x220), 
            P2ER,   1, 
                ,   2, 
            P2DQ,   1, 
                ,   3, 
            P2BY,   1, 
                    Offset (0x228), 
            P2DD,   4, 
                    Offset (0x229), 
            P2IS,   4, 
                    Offset (0x22C), 
            P2DI,   4, 
                    Offset (0x230), 
                    Offset (0x232), 
            P2PR,   1, 
                    Offset (0x2A0), 
            P3ER,   1, 
                ,   2, 
            P3DQ,   1, 
                ,   3, 
            P3BY,   1, 
                    Offset (0x2A8), 
            P3DD,   4, 
                    Offset (0x2A9), 
            P3IS,   4, 
                    Offset (0x2AC), 
            P3DI,   4, 
                    Offset (0x2B0), 
                    Offset (0x2B2), 
            P3PR,   1
        }
    }

    Scope (_SB)
    {
        Name (PR0, Package (0x19)
        {
            Package (0x04)
            {
                0x0002FFFF, 
                Zero, 
                INTC, 
                Zero
            }, 

            Package (0x04)
            {
                0x0002FFFF, 
                One, 
                INTD, 
                Zero
            }, 

            Package (0x04)
            {
                0x0002FFFF, 
                0x02, 
                INTA, 
                Zero
            }, 

            Package (0x04)
            {
                0x0002FFFF, 
                0x03, 
                INTB, 
                Zero
            }, 

            Package (0x04)
            {
                0x0004FFFF, 
                Zero, 
                INTA, 
                Zero
            }, 

            Package (0x04)
            {
                0x0004FFFF, 
                One, 
                INTB, 
                Zero
            }, 

            Package (0x04)
            {
                0x0004FFFF, 
                0x02, 
                INTC, 
                Zero
            }, 

            Package (0x04)
            {
                0x0004FFFF, 
                0x03, 
                INTD, 
                Zero
            }, 

            Package (0x04)
            {
                0x0006FFFF, 
                Zero, 
                INTC, 
                Zero
            }, 

            Package (0x04)
            {
                0x0006FFFF, 
                One, 
                INTD, 
                Zero
            }, 

            Package (0x04)
            {
                0x0006FFFF, 
                0x02, 
                INTA, 
                Zero
            }, 

            Package (0x04)
            {
                0x0006FFFF, 
                0x03, 
                INTB, 
                Zero
            }, 

            Package (0x04)
            {
                0x0007FFFF, 
                Zero, 
                INTD, 
                Zero
            }, 

            Package (0x04)
            {
                0x0007FFFF, 
                One, 
                INTA, 
                Zero
            }, 

            Package (0x04)
            {
                0x0007FFFF, 
                0x02, 
                INTB, 
                Zero
            }, 

            Package (0x04)
            {
                0x0007FFFF, 
                0x03, 
                INTC, 
                Zero
            }, 

            Package (0x04)
            {
                0x0012FFFF, 
                One, 
                INTA, 
                Zero
            }, 

            Package (0x04)
            {
                0x0013FFFF, 
                Zero, 
                INTA, 
                Zero
            }, 

            Package (0x04)
            {
                0x0013FFFF, 
                One, 
                INTB, 
                Zero
            }, 

            Package (0x04)
            {
                0x0013FFFF, 
                0x02, 
                INTC, 
                Zero
            }, 

            Package (0x04)
            {
                0x0013FFFF, 
                0x03, 
                INTD, 
                Zero
            }, 

            Package (0x04)
            {
                0x0014FFFF, 
                Zero, 
                INTA, 
                Zero
            }, 

            Package (0x04)
            {
                0x0014FFFF, 
                One, 
                INTB, 
                Zero
            }, 

            Package (0x04)
            {
                0x0014FFFF, 
                0x02, 
                INTC, 
                Zero
            }, 

            Package (0x04)
            {
                0x0014FFFF, 
                0x03, 
                INTD, 
                Zero
            }
        })
        Name (APR0, Package (0x0F)
        {
            Package (0x04)
            {
                0x0002FFFF, 
                Zero, 
                Zero, 
                0x12
            }, 

            Package (0x04)
            {
                0x0003FFFF, 
                Zero, 
                Zero, 
                0x13
            }, 

            Package (0x04)
            {
                0x0004FFFF, 
                Zero, 
                Zero, 
                0x10
            }, 

            Package (0x04)
            {
                0x0005FFFF, 
                Zero, 
                Zero, 
                0x11
            }, 

            Package (0x04)
            {
                0x0006FFFF, 
                Zero, 
                Zero, 
                0x12
            }, 

            Package (0x04)
            {
                0x0007FFFF, 
                Zero, 
                Zero, 
                0x13
            }, 

            Package (0x04)
            {
                0x0012FFFF, 
                Zero, 
                Zero, 
                0x16
            }, 

            Package (0x04)
            {
                0x0013FFFF, 
                Zero, 
                Zero, 
                0x10
            }, 

            Package (0x04)
            {
                0x0013FFFF, 
                One, 
                Zero, 
                0x11
            }, 

            Package (0x04)
            {
                0x0013FFFF, 
                0x02, 
                Zero, 
                0x12
            }, 

            Package (0x04)
            {
                0x0013FFFF, 
                0x03, 
                Zero, 
                0x13
            }, 

            Package (0x04)
            {
                0x0014FFFF, 
                Zero, 
                Zero, 
                0x10
            }, 

            Package (0x04)
            {
                0x0014FFFF, 
                One, 
                Zero, 
                0x11
            }, 

            Package (0x04)
            {
                0x0014FFFF, 
                0x02, 
                Zero, 
                0x12
            }, 

            Package (0x04)
            {
                0x0014FFFF, 
                0x03, 
                Zero, 
                0x13
            }
        })
        Name (PR1, Package (0x04)
        {
            Package (0x04)
            {
                0x0005FFFF, 
                Zero, 
                INTA, 
                Zero
            }, 

            Package (0x04)
            {
                0x0005FFFF, 
                One, 
                INTB, 
                Zero
            }, 

            Package (0x04)
            {
                0x0005FFFF, 
                0x02, 
                INTC, 
                Zero
            }, 

            Package (0x04)
            {
                0x0005FFFF, 
                0x03, 
                INTD, 
                Zero
            }
        })
        Name (APR1, Package (0x02)
        {
            Package (0x04)
            {
                0x0005FFFF, 
                Zero, 
                Zero, 
                0x12
            }, 

            Package (0x04)
            {
                0x0005FFFF, 
                One, 
                Zero, 
                0x13
            }
        })
        Name (PS2, Package (0x04)
        {
            Package (0x04)
            {
                0xFFFF, 
                Zero, 
                INTC, 
                Zero
            }, 

            Package (0x04)
            {
                0xFFFF, 
                One, 
                INTD, 
                Zero
            }, 

            Package (0x04)
            {
                0xFFFF, 
                0x02, 
                INTA, 
                Zero
            }, 

            Package (0x04)
            {
                0xFFFF, 
                0x03, 
                INTB, 
                Zero
            }
        })
        Name (APS2, Package (0x04)
        {
            Package (0x04)
            {
                0xFFFF, 
                Zero, 
                Zero, 
                0x12
            }, 

            Package (0x04)
            {
                0xFFFF, 
                One, 
                Zero, 
                0x13
            }, 

            Package (0x04)
            {
                0xFFFF, 
                0x02, 
                Zero, 
                0x10
            }, 

            Package (0x04)
            {
                0xFFFF, 
                0x03, 
                Zero, 
                0x11
            }
        })
        Name (PS4, Package (0x04)
        {
            Package (0x04)
            {
                0xFFFF, 
                Zero, 
                INTA, 
                Zero
            }, 

            Package (0x04)
            {
                0xFFFF, 
                One, 
                INTB, 
                Zero
            }, 

            Package (0x04)
            {
                0xFFFF, 
                0x02, 
                INTC, 
                Zero
            }, 

            Package (0x04)
            {
                0xFFFF, 
                0x03, 
                INTD, 
                Zero
            }
        })
        Name (APS4, Package (0x04)
        {
            Package (0x04)
            {
                0xFFFF, 
                Zero, 
                Zero, 
                0x10
            }, 

            Package (0x04)
            {
                0xFFFF, 
                One, 
                Zero, 
                0x11
            }, 

            Package (0x04)
            {
                0xFFFF, 
                0x02, 
                Zero, 
                0x12
            }, 

            Package (0x04)
            {
                0xFFFF, 
                0x03, 
                Zero, 
                0x13
            }
        })
        Name (PS5, Package (0x04)
        {
            Package (0x04)
            {
                0xFFFF, 
                Zero, 
                INTB, 
                Zero
            }, 

            Package (0x04)
            {
                0xFFFF, 
                One, 
                INTC, 
                Zero
            }, 

            Package (0x04)
            {
                0xFFFF, 
                0x02, 
                INTD, 
                Zero
            }, 

            Package (0x04)
            {
                0xFFFF, 
                0x03, 
                INTA, 
                Zero
            }
        })
        Name (APS5, Package (0x04)
        {
            Package (0x04)
            {
                0xFFFF, 
                Zero, 
                Zero, 
                0x11
            }, 

            Package (0x04)
            {
                0xFFFF, 
                One, 
                Zero, 
                0x12
            }, 

            Package (0x04)
            {
                0xFFFF, 
                0x02, 
                Zero, 
                0x13
            }, 

            Package (0x04)
            {
                0xFFFF, 
                0x03, 
                Zero, 
                0x10
            }
        })
        Name (PS6, Package (0x04)
        {
            Package (0x04)
            {
                0xFFFF, 
                Zero, 
                INTC, 
                Zero
            }, 

            Package (0x04)
            {
                0xFFFF, 
                One, 
                INTD, 
                Zero
            }, 

            Package (0x04)
            {
                0xFFFF, 
                0x02, 
                INTA, 
                Zero
            }, 

            Package (0x04)
            {
                0xFFFF, 
                0x03, 
                INTB, 
                Zero
            }
        })
        Name (APS6, Package (0x04)
        {
            Package (0x04)
            {
                0xFFFF, 
                Zero, 
                Zero, 
                0x12
            }, 

            Package (0x04)
            {
                0xFFFF, 
                One, 
                Zero, 
                0x13
            }, 

            Package (0x04)
            {
                0xFFFF, 
                0x02, 
                Zero, 
                0x10
            }, 

            Package (0x04)
            {
                0xFFFF, 
                0x03, 
                Zero, 
                0x11
            }
        })
        Name (PS7, Package (0x04)
        {
            Package (0x04)
            {
                0xFFFF, 
                Zero, 
                INTD, 
                Zero
            }, 

            Package (0x04)
            {
                0xFFFF, 
                One, 
                INTA, 
                Zero
            }, 

            Package (0x04)
            {
                0xFFFF, 
                0x02, 
                INTB, 
                Zero
            }, 

            Package (0x04)
            {
                0xFFFF, 
                0x03, 
                INTC, 
                Zero
            }
        })
        Name (APS7, Package (0x04)
        {
            Package (0x04)
            {
                0xFFFF, 
                Zero, 
                Zero, 
                0x13
            }, 

            Package (0x04)
            {
                0xFFFF, 
                One, 
                Zero, 
                0x10
            }, 

            Package (0x04)
            {
                0xFFFF, 
                0x02, 
                Zero, 
                0x11
            }, 

            Package (0x04)
            {
                0xFFFF, 
                0x03, 
                Zero, 
                0x12
            }
        })
        Name (PCIB, Package (0x0C)
        {
            Package (0x04)
            {
                0x0005FFFF, 
                Zero, 
                Zero, 
                0x14
            }, 

            Package (0x04)
            {
                0x0005FFFF, 
                One, 
                Zero, 
                0x15
            }, 

            Package (0x04)
            {
                0x0005FFFF, 
                0x02, 
                Zero, 
                0x16
            }, 

            Package (0x04)
            {
                0x0005FFFF, 
                0x03, 
                Zero, 
                0x17
            }, 

            Package (0x04)
            {
                0x0006FFFF, 
                Zero, 
                Zero, 
                0x15
            }, 

            Package (0x04)
            {
                0x0006FFFF, 
                One, 
                Zero, 
                0x16
            }, 

            Package (0x04)
            {
                0x0006FFFF, 
                0x02, 
                Zero, 
                0x17
            }, 

            Package (0x04)
            {
                0x0006FFFF, 
                0x03, 
                Zero, 
                0x14
            }, 

            Package (0x04)
            {
                0x0007FFFF, 
                Zero, 
                Zero, 
                0x16
            }, 

            Package (0x04)
            {
                0x0007FFFF, 
                One, 
                Zero, 
                0x17
            }, 

            Package (0x04)
            {
                0x0007FFFF, 
                0x02, 
                Zero, 
                0x14
            }, 

            Package (0x04)
            {
                0x0007FFFF, 
                0x03, 
                Zero, 
                0x15
            }
        })
    }

    Scope (_SB)
    {
        Method (CKOT, 0, NotSerialized)
        {
            If (LNotEqual (OSTP, Ones))
            {
                Return (OSTP)
            }

            If (CondRefOf (_OSI, Local1))
            {
                Store (One, OSTP)
                If (_OSI ("Windows 2006"))
                {
                    Store (0x02, OSTP)
                }
            }
            Else
            {
                If (WCMP (_OS, "Linux"))
                {
                    Store (0x03, OSTP)
                }
                Else
                {
                    Store (0x04, OSTP)
                }
            }

            Return (OSTP)
        }

        Method (_PIC, 1, NotSerialized)
        {
            If (Arg0)
            {
                CIRQ ()
            }

            Store (Arg0, PMOD)
        }

        Method (CIRQ, 0, NotSerialized)
        {
            Store (Zero, PINA)
            Store (Zero, PINB)
            Store (Zero, PINC)
            Store (Zero, PIND)
            Store (Zero, PINE)
            Store (Zero, PINF)
            Store (Zero, PING)
            Store (Zero, PINH)
        }

        Name (IRQB, ResourceTemplate ()
        {
            IRQ (Level, ActiveLow, Shared, )
                {15}
        })
        Name (IRQP, ResourceTemplate ()
        {
            IRQ (Level, ActiveLow, Exclusive, )
                {3,4,5,7,10,11,12,15}
        })
        Name (PITF, ResourceTemplate ()
        {
            IRQ (Level, ActiveLow, Exclusive, )
                {9}
        })
        Device (INTA)
        {
            Name (_HID, EisaId ("PNP0C0F"))
            Name (_UID, One)
            Method (_STA, 0, NotSerialized)
            {
                If (PINA)
                {
                    Return (0x0B)
                }
                Else
                {
                    Return (0x09)
                }
            }

            Method (_DIS, 0, NotSerialized)
            {
                Store (Zero, PINA)
            }

            Method (_PRS, 0, NotSerialized)
            {
                Return (IRQP)
            }

            Method (_CRS, 0, NotSerialized)
            {
                CreateWordField (IRQB, One, IRQN)
                ShiftLeft (One, PINA, IRQN)
                Return (IRQB)
            }

            Method (_SRS, 1, NotSerialized)
            {
                CreateWordField (Arg0, One, IRQM)
                FindSetRightBit (IRQM, Local0)
                If (Local0)
                {
                    Decrement (Local0)
                }

                Store (Local0, PINA)
            }
        }

        Device (INTB)
        {
            Name (_HID, EisaId ("PNP0C0F"))
            Name (_UID, 0x02)
            Method (_STA, 0, NotSerialized)
            {
                If (PINB)
                {
                    Return (0x0B)
                }
                Else
                {
                    Return (0x09)
                }
            }

            Method (_DIS, 0, NotSerialized)
            {
                Store (Zero, PINB)
            }

            Method (_PRS, 0, NotSerialized)
            {
                Return (IRQP)
            }

            Method (_CRS, 0, NotSerialized)
            {
                CreateWordField (IRQB, One, IRQN)
                ShiftLeft (One, PINB, IRQN)
                Return (IRQB)
            }

            Method (_SRS, 1, NotSerialized)
            {
                CreateWordField (Arg0, One, IRQM)
                FindSetRightBit (IRQM, Local0)
                If (Local0)
                {
                    Decrement (Local0)
                }

                Store (Local0, PINB)
            }
        }

        Device (INTC)
        {
            Name (_HID, EisaId ("PNP0C0F"))
            Name (_UID, 0x03)
            Method (_STA, 0, NotSerialized)
            {
                If (PINC)
                {
                    Return (0x0B)
                }
                Else
                {
                    Return (0x09)
                }
            }

            Method (_DIS, 0, NotSerialized)
            {
                Store (Zero, PINC)
            }

            Method (_PRS, 0, NotSerialized)
            {
                Return (IRQP)
            }

            Method (_CRS, 0, NotSerialized)
            {
                CreateWordField (IRQB, One, IRQN)
                ShiftLeft (One, PINC, IRQN)
                Return (IRQB)
            }

            Method (_SRS, 1, NotSerialized)
            {
                CreateWordField (Arg0, One, IRQM)
                FindSetRightBit (IRQM, Local0)
                If (Local0)
                {
                    Decrement (Local0)
                }

                Store (Local0, PINC)
            }
        }

        Device (INTD)
        {
            Name (_HID, EisaId ("PNP0C0F"))
            Name (_UID, 0x04)
            Method (_STA, 0, NotSerialized)
            {
                If (PIND)
                {
                    Return (0x0B)
                }
                Else
                {
                    Return (0x09)
                }
            }

            Method (_DIS, 0, NotSerialized)
            {
                Store (Zero, PIND)
            }

            Method (_PRS, 0, NotSerialized)
            {
                Return (IRQP)
            }

            Method (_CRS, 0, NotSerialized)
            {
                CreateWordField (IRQB, One, IRQN)
                ShiftLeft (One, PIND, IRQN)
                Return (IRQB)
            }

            Method (_SRS, 1, NotSerialized)
            {
                CreateWordField (Arg0, One, IRQM)
                FindSetRightBit (IRQM, Local0)
                If (Local0)
                {
                    Decrement (Local0)
                }

                Store (Local0, PIND)
            }
        }

        Device (INTE)
        {
            Name (_HID, EisaId ("PNP0C0F"))
            Name (_UID, 0x05)
            Method (_STA, 0, NotSerialized)
            {
                If (PINE)
                {
                    Return (0x0B)
                }
                Else
                {
                    Return (0x09)
                }
            }

            Method (_DIS, 0, NotSerialized)
            {
                Store (Zero, PINE)
            }

            Method (_PRS, 0, NotSerialized)
            {
                Return (IRQP)
            }

            Method (_CRS, 0, NotSerialized)
            {
                CreateWordField (IRQB, One, IRQN)
                ShiftLeft (One, PINE, IRQN)
                Return (IRQB)
            }

            Method (_SRS, 1, NotSerialized)
            {
                CreateWordField (Arg0, One, IRQM)
                FindSetRightBit (IRQM, Local0)
                If (Local0)
                {
                    Decrement (Local0)
                }

                Store (Local0, PINE)
            }
        }

        Device (INTF)
        {
            Name (_HID, EisaId ("PNP0C0F"))
            Name (_UID, 0x06)
            Method (_STA, 0, NotSerialized)
            {
                If (PINF)
                {
                    Return (0x0B)
                }
                Else
                {
                    Return (0x09)
                }
            }

            Method (_DIS, 0, NotSerialized)
            {
                Store (Zero, PINF)
            }

            Method (_PRS, 0, NotSerialized)
            {
                Return (PITF)
            }

            Method (_CRS, 0, NotSerialized)
            {
                CreateWordField (IRQB, One, IRQN)
                ShiftLeft (One, PINF, IRQN)
                Return (IRQB)
            }

            Method (_SRS, 1, NotSerialized)
            {
                CreateWordField (Arg0, One, IRQM)
                FindSetRightBit (IRQM, Local0)
                If (Local0)
                {
                    Decrement (Local0)
                }

                Store (Local0, PINF)
            }
        }

        Device (INTG)
        {
            Name (_HID, EisaId ("PNP0C0F"))
            Name (_UID, 0x07)
            Method (_STA, 0, NotSerialized)
            {
                If (PING)
                {
                    Return (0x0B)
                }
                Else
                {
                    Return (0x09)
                }
            }

            Method (_DIS, 0, NotSerialized)
            {
                Store (Zero, PING)
            }

            Method (_PRS, 0, NotSerialized)
            {
                Return (IRQP)
            }

            Method (_CRS, 0, NotSerialized)
            {
                CreateWordField (IRQB, One, IRQN)
                ShiftLeft (One, PING, IRQN)
                Return (IRQB)
            }

            Method (_SRS, 1, NotSerialized)
            {
                CreateWordField (Arg0, One, IRQM)
                FindSetRightBit (IRQM, Local0)
                If (Local0)
                {
                    Decrement (Local0)
                }

                Store (Local0, PING)
            }
        }

        Device (INTH)
        {
            Name (_HID, EisaId ("PNP0C0F"))
            Name (_UID, 0x08)
            Method (_STA, 0, NotSerialized)
            {
                If (PINH)
                {
                    Return (0x0B)
                }
                Else
                {
                    Return (0x09)
                }
            }

            Method (_DIS, 0, NotSerialized)
            {
                Store (Zero, PINH)
            }

            Method (_PRS, 0, NotSerialized)
            {
                Return (IRQP)
            }

            Method (_CRS, 0, NotSerialized)
            {
                CreateWordField (IRQB, One, IRQN)
                ShiftLeft (One, PINH, IRQN)
                Return (IRQB)
            }

            Method (_SRS, 1, NotSerialized)
            {
                CreateWordField (Arg0, One, IRQM)
                FindSetRightBit (IRQM, Local0)
                If (Local0)
                {
                    Decrement (Local0)
                }

                Store (Local0, PINH)
            }
        }
    }

    Name (_S0, Package (0x04)
    {
        Zero, 
        Zero, 
        Zero, 
        Zero
    })
    If (LAnd (SSFG, One))
    {
        Name (_S1, Package (0x04)
        {
            One, 
            One, 
            Zero, 
            Zero
        })
    }

    If (LAnd (SSFG, 0x02))
    {
        Name (_S2, Package (0x04)
        {
            0x02, 
            0x02, 
            Zero, 
            Zero
        })
    }

    If (LAnd (SSFG, 0x04))
    {
        Name (_S3, Package (0x04)
        {
            0x03, 
            0x03, 
            Zero, 
            Zero
        })
    }

    If (LAnd (SSFG, 0x08))
    {
        Name (_S4, Package (0x04)
        {
            0x04, 
            0x04, 
            Zero, 
            Zero
        })
    }

    Name (_S5, Package (0x04)
    {
        0x05, 
        0x05, 
        Zero, 
        Zero
    })
    Name (_SB.CSPS, Zero)
    Name (CSMS, Zero)
    Name (WKST, Package (0x02)
    {
        Zero, 
        Zero
    })
    Method (_PTS, 1, NotSerialized)
    {
        If (LEqual (Arg0, 0x03))
        {
            Store (Zero, URRE)
        }

        Store (Zero, Index (WKST, Zero))
        Store (Zero, Index (WKST, One))
        \_SB.PCI0.SIOS (Arg0)
    }

    Method (_BFS, 1, NotSerialized)
    {
    }

    Method (_WAK, 1, NotSerialized)
    {
        Store (One, HPDE)
        If (LEqual (Arg0, 0x03))
        {
            Store (One, URRE)
        }

        Store (PWST, PWST)
        \_SB.PCI0.SIOW (Arg0)
        Return (WKST)
    }

    Scope (_GPE)
    {
        Method (_L03, 0, NotSerialized)
        {
            Notify (\_SB.PWRB, 0x02)
        }

        Method (_L08, 0, NotSerialized)
        {
        }

        Method (_L09, 0, NotSerialized)
        {
            Notify (\_TZ.TZ00, 0x80)
        }

        Method (_L0B, 0, NotSerialized)
        {
            Notify (\_SB.PCI0.UOH1, 0x02)
            Notify (\_SB.PCI0.UOH2, 0x02)
            Notify (\_SB.PCI0.UOH3, 0x02)
            Notify (\_SB.PCI0.UOH4, 0x02)
            Notify (\_SB.PCI0.UOH5, 0x02)
            Notify (\_SB.PCI0.UEH1, 0x02)
            Notify (\_SB.PWRB, 0x02)
        }

        Method (_L10, 0, NotSerialized)
        {
        }

        Method (_L11, 0, NotSerialized)
        {
        }

        Method (_L18, 0, NotSerialized)
        {
            Notify (\_SB.PCI0.PBR2, 0x02)
            Notify (\_SB.PCI0.PBR4, 0x02)
            Notify (\_SB.PCI0.PBR5, 0x02)
            Notify (\_SB.PCI0.PBR6, 0x02)
            Notify (\_SB.PCI0.PBR7, 0x02)
            Notify (\_SB.PWRB, 0x02)
        }

        Method (_L1B, 0, NotSerialized)
        {
            Notify (\_SB.PCI0.AZHD, 0x02)
            Notify (\_SB.PWRB, 0x02)
        }
    }

    Method (UCOC, 0, NotSerialized)
    {
        Sleep (0x14)
        Store (0x13, CMTI)
        Store (Zero, GPSL)
    }

    If (LLessEqual (UOM0, 0x09))
    {
        Scope (_GPE)
        {
            Method (_L13, 0, NotSerialized)
            {
                UCOC ()
                If (LEqual (GPB0, PLC0))
                {
                    Not (PLC0, PLC0)
                    Store (PLC0, \_SB.PT0D)
                }
            }
        }
    }

    If (LLessEqual (UOM1, 0x09))
    {
        Scope (_GPE)
        {
            Method (_L14, 0, NotSerialized)
            {
                UCOC ()
                If (LEqual (GPB1, PLC1))
                {
                    Not (PLC1, PLC1)
                    Store (PLC1, \_SB.PT1D)
                }
            }
        }
    }

    If (LLessEqual (UOM2, 0x09))
    {
        Scope (_GPE)
        {
            Method (_L15, 0, NotSerialized)
            {
                UCOC ()
                If (LEqual (GPB2, PLC2))
                {
                    Not (PLC2, PLC2)
                    Store (PLC2, \_SB.PT2D)
                }
            }
        }
    }

    If (LLessEqual (UOM3, 0x09))
    {
        Scope (_GPE)
        {
            Method (_L16, 0, NotSerialized)
            {
                UCOC ()
                If (LEqual (GPB3, PLC3))
                {
                    Not (PLC3, PLC3)
                    Store (PLC3, \_SB.PT3D)
                }
            }
        }
    }

    If (LLessEqual (UOM4, 0x09))
    {
        Scope (_GPE)
        {
            Method (_L19, 0, NotSerialized)
            {
                UCOC ()
                If (LEqual (GPB4, PLC4))
                {
                    Not (PLC4, PLC4)
                    Store (PLC4, \_SB.PT4D)
                }
            }
        }
    }

    If (LLessEqual (UOM5, 0x09))
    {
        Scope (_GPE)
        {
            Method (_L1A, 0, NotSerialized)
            {
                UCOC ()
                If (LEqual (GPB5, PLC5))
                {
                    Not (PLC5, PLC5)
                    Store (PLC5, \_SB.PT5D)
                }
            }
        }
    }

    If (LLessEqual (UOM6, 0x09))
    {
        Scope (_GPE)
        {
            Method (_L06, 0, NotSerialized)
            {
                UCOC ()
                If (LEqual (GPB6, PLC6))
                {
                    Not (PLC6, PLC6)
                    Store (PLC6, \_SB.PT6D)
                }
            }
        }
    }

    If (LLessEqual (UOM7, 0x09))
    {
        Scope (_GPE)
        {
            Method (_L07, 0, NotSerialized)
            {
                UCOC ()
                If (LEqual (GPB7, PLC7))
                {
                    Not (PLC7, PLC7)
                    Store (PLC7, \_SB.PT7D)
                }
            }
        }
    }

    If (LLessEqual (UOM8, 0x09))
    {
        Scope (_GPE)
        {
            Method (_L17, 0, NotSerialized)
            {
                If (LEqual (G8IS, PLC8))
                {
                    Not (PLC8, PLC8)
                    Store (PLC8, \_SB.PT8D)
                }
            }
        }
    }

    If (LLessEqual (UOM9, 0x09))
    {
        Scope (_GPE)
        {
            Method (_L0E, 0, NotSerialized)
            {
                If (LEqual (G9IS, Zero))
                {
                    Store (One, \_SB.PT9D)
                }
            }
        }
    }

    Scope (_SB)
    {
        Method (MIN, 2, NotSerialized)
        {
            If (LLess (Arg0, Arg1))
            {
                Return (Arg0)
            }
            Else
            {
                Return (Arg1)
            }
        }

        Method (SLEN, 1, NotSerialized)
        {
            Store (Arg0, Local0)
            Return (SizeOf (Local0))
        }

        Method (S2BF, 1, NotSerialized)
        {
            Add (SLEN (Arg0), One, Local0)
            Name (BUFF, Buffer (Local0) {})
            Store (Arg0, BUFF)
            Return (BUFF)
        }

        Method (SCMP, 2, NotSerialized)
        {
            Store (S2BF (Arg0), Local0)
            Store (S2BF (Arg1), Local1)
            Store (Zero, Local4)
            Store (SLEN (Arg0), Local5)
            Store (SLEN (Arg1), Local6)
            Store (MIN (Local5, Local6), Local7)
            While (LLess (Local4, Local7))
            {
                Store (DerefOf (Index (Local0, Local4)), Local2)
                Store (DerefOf (Index (Local1, Local4)), Local3)
                If (LGreater (Local2, Local3))
                {
                    Return (One)
                }
                Else
                {
                    If (LLess (Local2, Local3))
                    {
                        Return (Ones)
                    }
                }

                Increment (Local4)
            }

            If (LLess (Local4, Local5))
            {
                Return (One)
            }
            Else
            {
                If (LLess (Local4, Local6))
                {
                    Return (Ones)
                }
                Else
                {
                    Return (Zero)
                }
            }
        }

        Method (WCMP, 2, NotSerialized)
        {
            Store (S2BF (Arg0), Local0)
            Store (S2BF (Arg1), Local1)
            If (LLess (SLEN (Arg0), SLEN (Arg1)))
            {
                Return (Zero)
            }

            Store (Zero, Local2)
            Store (SLEN (Arg1), Local3)
            While (LLess (Local2, Local3))
            {
                If (LNotEqual (DerefOf (Index (Local0, Local2)), DerefOf (Index (
                    Local1, Local2))))
                {
                    Return (Zero)
                }

                Increment (Local2)
            }

            Return (One)
        }

        Method (I2BM, 1, NotSerialized)
        {
            Store (Zero, Local0)
            If (LNotEqual (Arg0, Zero))
            {
                Store (One, Local1)
                ShiftLeft (Local1, Arg0, Local0)
            }

            Return (Local0)
        }

        Device (PCI0)
        {
            Name (_HID, EisaId ("PNP0A03"))
            Name (_ADR, 0x00180000)
            Method (_BBN, 0, NotSerialized)
            {
                Return (Zero)
            }

            Method (_STA, 0, NotSerialized)
            {
                Return (0x0B)
            }

            Method (_PRT, 0, NotSerialized)
            {
                If (PMOD)
                {
                    Return (APR0)
                }

                Return (PR0)
            }

            Device (AMRT)
            {
                Name (_ADR, Zero)
            }

            Device (AGPB)
            {
                Name (_ADR, 0x00010000)
                Name (_PRW, Package (0x02)
                {
                    0x18, 
                    0x04
                })
                Method (_PRT, 0, NotSerialized)
                {
                    Return (APR1)
                }
            }

            Device (PBR2)
            {
                Name (_ADR, 0x00020000)
                Name (_PRW, Package (0x02)
                {
                    0x18, 
                    0x04
                })
                Method (_PRT, 0, NotSerialized)
                {
                    If (PMOD)
                    {
                        Return (APS2)
                    }

                    Return (PS2)
                }
            }

            Device (PBR4)
            {
                Name (_ADR, 0x00040000)
                Name (_PRW, Package (0x02)
                {
                    0x18, 
                    0x04
                })
                Method (_PRT, 0, NotSerialized)
                {
                    If (PMOD)
                    {
                        Return (APS4)
                    }

                    Return (PS4)
                }
            }

            Device (PBR5)
            {
                Name (_ADR, 0x00050000)
                Name (_PRW, Package (0x02)
                {
                    0x18, 
                    0x04
                })
                Method (_PRT, 0, NotSerialized)
                {
                    If (PMOD)
                    {
                        Return (APS5)
                    }

                    Return (PS5)
                }
            }

            Device (PBR6)
            {
                Name (_ADR, 0x00060000)
                Name (_PRW, Package (0x02)
                {
                    0x18, 
                    0x04
                })
                Method (_PRT, 0, NotSerialized)
                {
                    If (PMOD)
                    {
                        Return (APS6)
                    }

                    Return (PS6)
                }
            }

            Device (PBR7)
            {
                Name (_ADR, 0x00070000)
                Name (_PRW, Package (0x02)
                {
                    0x18, 
                    0x04
                })
                Method (_PRT, 0, NotSerialized)
                {
                    If (PMOD)
                    {
                        Return (APS7)
                    }

                    Return (PS7)
                }
            }

            Device (PIBR)
            {
                Name (_ADR, 0x00140004)
                Name (_PRW, Package (0x02)
                {
                    0x18, 
                    0x04
                })
                Method (_PRT, 0, NotSerialized)
                {
                    Return (PCIB)
                }
            }

            Device (STCR)
            {
                Name (_ADR, 0x00120000)
                Name (STTM, Buffer (0x14)
                {
                    /* 0000 */    0x78, 0x00, 0x00, 0x00, 0x0F, 0x00, 0x00, 0x00, 
                    /* 0008 */    0x78, 0x00, 0x00, 0x00, 0x0F, 0x00, 0x00, 0x00, 
                    /* 0010 */    0x1F, 0x00, 0x00, 0x00
                })
                Method (_INI, 0, NotSerialized)
                {
                    \_GPE._L1F ()
                }

                Device (PMRY)
                {
                    Name (_ADR, Zero)
                    Method (_GTM, 0, NotSerialized)
                    {
                        Return (STTM)
                    }

                    Method (_STM, 3, NotSerialized)
                    {
                    }

                    Device (PMST)
                    {
                        Name (_ADR, Zero)
                        Method (_STA, 0, NotSerialized)
                        {
                            If (LGreater (P0IS, Zero))
                            {
                                Return (0x0F)
                            }
                            Else
                            {
                                Return (Zero)
                            }
                        }
                    }

                    Device (PSLA)
                    {
                        Name (_ADR, One)
                        Method (_STA, 0, NotSerialized)
                        {
                            If (LGreater (P1IS, Zero))
                            {
                                Return (0x0F)
                            }
                            Else
                            {
                                Return (Zero)
                            }
                        }
                    }
                }

                Device (SEDY)
                {
                    Name (_ADR, One)
                    Method (_GTM, 0, NotSerialized)
                    {
                        Return (STTM)
                    }

                    Method (_STM, 3, NotSerialized)
                    {
                    }

                    Device (SMST)
                    {
                        Name (_ADR, Zero)
                        Method (_STA, 0, NotSerialized)
                        {
                            If (LGreater (P2IS, Zero))
                            {
                                Return (0x0F)
                            }
                            Else
                            {
                                Return (Zero)
                            }
                        }
                    }

                    Device (SSLA)
                    {
                        Name (_ADR, One)
                        Method (_STA, 0, NotSerialized)
                        {
                            If (LGreater (P3IS, Zero))
                            {
                                Return (0x0F)
                            }
                            Else
                            {
                                Return (Zero)
                            }
                        }
                    }
                }

                Scope (\_GPE)
                {
                    Method (_L1F, 0, NotSerialized)
                    {
                        If (\_SB.P0PR)
                        {
                            If (LGreater (\_SB.P0IS, Zero))
                            {
                                Sleep (0x20)
                            }

                            Notify (\_SB.PCI0.STCR.PMRY.PMST, One)
                            Store (One, \_SB.P0PR)
                        }

                        If (\_SB.P1PR)
                        {
                            If (LGreater (\_SB.P1IS, Zero))
                            {
                                Sleep (0x20)
                            }

                            Notify (\_SB.PCI0.STCR.PMRY.PSLA, One)
                            Store (One, \_SB.P1PR)
                        }

                        If (\_SB.P2PR)
                        {
                            If (LGreater (\_SB.P2IS, Zero))
                            {
                                Sleep (0x20)
                            }

                            Notify (\_SB.PCI0.STCR.SEDY.SMST, One)
                            Store (One, \_SB.P2PR)
                        }

                        If (\_SB.P3PR)
                        {
                            If (LGreater (\_SB.P3IS, Zero))
                            {
                                Sleep (0x20)
                            }

                            Notify (\_SB.PCI0.STCR.SEDY.SSLA, One)
                            Store (One, \_SB.P3PR)
                        }
                    }
                }
            }

            Device (UOH1)
            {
                Name (_ADR, 0x00130000)
                Name (_PRW, Package (0x02)
                {
                    0x0B, 
                    0x03
                })
            }

            Device (UOH2)
            {
                Name (_ADR, 0x00130001)
                Name (_PRW, Package (0x02)
                {
                    0x0B, 
                    0x03
                })
            }

            Device (UOH3)
            {
                Name (_ADR, 0x00130002)
                Name (_PRW, Package (0x02)
                {
                    0x0B, 
                    0x03
                })
            }

            Device (UOH4)
            {
                Name (_ADR, 0x00130003)
                Name (_PRW, Package (0x02)
                {
                    0x0B, 
                    0x03
                })
            }

            Device (UOH5)
            {
                Name (_ADR, 0x00130004)
                Name (_PRW, Package (0x02)
                {
                    0x0B, 
                    0x03
                })
            }

            Device (UEH1)
            {
                Name (_ADR, 0x00130005)
                Name (_PRW, Package (0x02)
                {
                    0x0B, 
                    0x03
                })
            }

            Device (SBUS)
            {
                Name (_ADR, 0x00140000)
            }

            Device (IDEC)
            {
                Name (_ADR, 0x00140001)
                Name (UDTT, Package (0x08)
                {
                    0x78, 
                    0x5A, 
                    0x3C, 
                    0x2D, 
                    0x1E, 
                    0x14, 
                    0x0F, 
                    Zero
                })
                Name (MDTT, Package (0x04)
                {
                    0x01E0, 
                    0x96, 
                    0x78, 
                    Zero
                })
                Name (POTT, Package (0x06)
                {
                    0x0258, 
                    0x0186, 
                    0x010E, 
                    0xB4, 
                    0x78, 
                    Zero
                })
                Name (MDRT, Package (0x04)
                {
                    0x77, 
                    0x21, 
                    0x20, 
                    0xFF
                })
                Name (PORT, Package (0x06)
                {
                    0x99, 
                    0x47, 
                    0x34, 
                    0x22, 
                    0x20, 
                    0x99
                })
                OperationRegion (ICRG, PCI_Config, 0x40, 0x20)
                Field (ICRG, AnyAcc, NoLock, Preserve)
                {
                    PPTS,   8, 
                    PPTM,   8, 
                            Offset (0x04), 
                    PMTS,   8, 
                    PMTM,   8, 
                            Offset (0x08), 
                    PPCR,   8, 
                            Offset (0x0A), 
                    PPMM,   4, 
                    PPSM,   4, 
                            Offset (0x14), 
                    PDCR,   2, 
                            Offset (0x16), 
                    PDMM,   4, 
                    PDSM,   4
                }

                Method (GTTM, 1, NotSerialized)
                {
                    Store (And (Arg0, 0x0F), Local0)
                    Increment (Local0)
                    Store (ShiftRight (Arg0, 0x04), Local1)
                    Increment (Local1)
                    Return (Multiply (0x1E, Add (Local0, Local1)))
                }

                Device (PRID)
                {
                    Name (_ADR, Zero)
                    Method (_GTM, 0, NotSerialized)
                    {
                        Name (OTBF, Buffer (0x14)
                        {
                            /* 0000 */    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 
                            /* 0008 */    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 
                            /* 0010 */    0x00, 0x00, 0x00, 0x00
                        })
                        CreateDWordField (OTBF, Zero, PSD0)
                        CreateDWordField (OTBF, 0x04, DSD0)
                        CreateDWordField (OTBF, 0x08, PSD1)
                        CreateDWordField (OTBF, 0x0C, DSD1)
                        CreateDWordField (OTBF, 0x10, BFFG)
                        If (And (PPCR, One))
                        {
                            Return (OTBF)
                        }

                        Or (BFFG, 0x1A, BFFG)
                        Store (GTTM (PPTM), PSD0)
                        Store (GTTM (PPTS), PSD1)
                        If (And (PDCR, One))
                        {
                            Or (BFFG, One, BFFG)
                            Store (DerefOf (Index (UDTT, PDMM)), DSD0)
                        }
                        Else
                        {
                            Store (GTTM (PMTM), DSD0)
                        }

                        If (And (PDCR, 0x02))
                        {
                            Or (BFFG, 0x04, BFFG)
                            Store (DerefOf (Index (UDTT, PDSM)), DSD1)
                        }
                        Else
                        {
                            Store (GTTM (PMTS), DSD1)
                        }

                        Return (OTBF)
                    }

                    Method (_STM, 3, NotSerialized)
                    {
                        Name (INBF, Buffer (0x14)
                        {
                            /* 0000 */    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 
                            /* 0008 */    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 
                            /* 0010 */    0x00, 0x00, 0x00, 0x00
                        })
                        CreateDWordField (INBF, Zero, PSD0)
                        CreateDWordField (INBF, 0x04, DSD0)
                        CreateDWordField (INBF, 0x08, PSD1)
                        CreateDWordField (INBF, 0x0C, DSD1)
                        CreateDWordField (INBF, 0x10, BFFG)
                        Store (Match (POTT, MLE, PSD0, MTR, Zero, Zero), Local0)
                        Divide (Local0, 0x05, PPMM)
                        Store (Match (POTT, MLE, PSD1, MTR, Zero, Zero), Local1)
                        Divide (Local1, 0x05, PPSM)
                        Store (DerefOf (Index (PORT, Local0)), PPTM)
                        Store (DerefOf (Index (PORT, Local1)), PPTS)
                        If (And (BFFG, One))
                        {
                            Store (Match (UDTT, MLE, DSD0, MTR, Zero, Zero), Local0)
                            Divide (Local0, 0x07, PDMM)
                            Or (PDCR, One, PDCR)
                        }
                        Else
                        {
                            If (LNotEqual (DSD0, Ones))
                            {
                                Store (Match (MDTT, MLE, DSD0, MTR, Zero, Zero), Local0)
                                Store (DerefOf (Index (MDRT, Local0)), PMTM)
                            }
                        }

                        If (And (BFFG, 0x04))
                        {
                            Store (Match (UDTT, MLE, DSD1, MTR, Zero, Zero), Local0)
                            Divide (Local0, 0x07, PDSM)
                            Or (PDCR, 0x02, PDCR)
                        }
                        Else
                        {
                            If (LNotEqual (DSD1, Ones))
                            {
                                Store (Match (MDTT, MLE, DSD1, MTR, Zero, Zero), Local0)
                                Store (DerefOf (Index (MDRT, Local0)), PMTS)
                            }
                        }
                    }

                    Device (MST)
                    {
                        Name (_ADR, Zero)
                        Method (_GTF, 0, NotSerialized)
                        {
                            Name (CMBF, Buffer (0x15)
                            {
                                /* 0000 */    0x03, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xEF, 0x03, 
                                /* 0008 */    0x00, 0x00, 0x00, 0x00, 0xFF, 0xEF, 0x00, 0x00, 
                                /* 0010 */    0x00, 0x00, 0x00, 0x00, 0xF5
                            })
                            CreateByteField (CMBF, One, POMD)
                            CreateByteField (CMBF, 0x08, DMMD)
                            CreateByteField (CMBF, 0x05, CMDA)
                            CreateByteField (CMBF, 0x0C, CMDB)
                            CreateByteField (CMBF, 0x13, CMDC)
                            Store (0xA0, CMDA)
                            Store (0xA0, CMDB)
                            Store (0xA0, CMDC)
                            Or (PPMM, 0x08, POMD)
                            If (And (PDCR, One))
                            {
                                Or (PDMM, 0x40, DMMD)
                            }
                            Else
                            {
                                Store (Match (MDTT, MLE, GTTM (PMTM), MTR, Zero, Zero), Local0)
                                If (LLess (Local0, 0x03))
                                {
                                    Or (0x20, Local0, DMMD)
                                }
                            }

                            Return (CMBF)
                        }
                    }

                    Device (SLAV)
                    {
                        Name (_ADR, One)
                        Method (_GTF, 0, NotSerialized)
                        {
                            Name (CMBF, Buffer (0x15)
                            {
                                /* 0000 */    0x03, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xEF, 0x03, 
                                /* 0008 */    0x00, 0x00, 0x00, 0x00, 0xFF, 0xEF, 0x00, 0x00, 
                                /* 0010 */    0x00, 0x00, 0x00, 0x00, 0xF5
                            })
                            CreateByteField (CMBF, One, POMD)
                            CreateByteField (CMBF, 0x08, DMMD)
                            CreateByteField (CMBF, 0x05, CMDA)
                            CreateByteField (CMBF, 0x0C, CMDB)
                            CreateByteField (CMBF, 0x13, CMDC)
                            Store (0xB0, CMDA)
                            Store (0xB0, CMDB)
                            Store (0xB0, CMDC)
                            Or (PPSM, 0x08, POMD)
                            If (And (PDCR, 0x02))
                            {
                                Or (PDSM, 0x40, DMMD)
                            }
                            Else
                            {
                                Store (Match (MDTT, MLE, GTTM (PMTS), MTR, Zero, Zero), Local0)
                                If (LLess (Local0, 0x03))
                                {
                                    Or (0x20, Local0, DMMD)
                                }
                            }

                            Return (CMBF)
                        }
                    }
                }
            }

            Device (AZHD)
            {
                Name (_ADR, 0x00140002)
                OperationRegion (AZPD, PCI_Config, Zero, 0x0100)
                Field (AZPD, AnyAcc, NoLock, Preserve)
                {
                            Offset (0x42), 
                    NSDI,   1, 
                    NSDO,   1, 
                    NSEN,   1, 
                            Offset (0x44), 
                    IPCR,   4, 
                            Offset (0x54), 
                    PWST,   2, 
                            Offset (0x55), 
                    PMEB,   1, 
                        ,   6, 
                    PMST,   1, 
                            Offset (0x62), 
                    MMCR,   1, 
                            Offset (0x64), 
                    MMLA,   32, 
                    MMHA,   32, 
                    MMDT,   16
                }

                Method (_INI, 0, NotSerialized)
                {
                    If (LEqual (OSTP, 0x03))
                    {
                        Store (Zero, NSEN)
                        Store (One, NSDO)
                        Store (One, NSDI)
                    }
                }
            }

            Device (LIBR)
            {
                Name (_ADR, 0x00140003)
                Device (RTC0)
                {
                    Name (_HID, EisaId ("PNP0B01"))
                    Name (_CRS, ResourceTemplate ()
                    {
                        IRQNoFlags ()
                            {8}
                        IO (Decode16,
                            0x0070,             // Range Minimum
                            0x0070,             // Range Maximum
                            0x00,               // Alignment
                            0x02,               // Length
                            )
                    })
                }

                Device (TMR)
                {
                    Name (_HID, EisaId ("PNP0100"))
                    Name (_CRS, ResourceTemplate ()
                    {
                        IRQNoFlags ()
                            {0}
                        IO (Decode16,
                            0x0040,             // Range Minimum
                            0x0040,             // Range Maximum
                            0x00,               // Alignment
                            0x04,               // Length
                            )
                    })
                }

                Device (SPKR)
                {
                    Name (_HID, EisaId ("PNP0800"))
                    Name (_CRS, ResourceTemplate ()
                    {
                        IO (Decode16,
                            0x0061,             // Range Minimum
                            0x0061,             // Range Maximum
                            0x00,               // Alignment
                            0x01,               // Length
                            )
                    })
                }

                Device (PIC)
                {
                    Name (_HID, EisaId ("PNP0000"))
                    Name (_CRS, ResourceTemplate ()
                    {
                        IRQNoFlags ()
                            {2}
                        IO (Decode16,
                            0x0020,             // Range Minimum
                            0x0020,             // Range Maximum
                            0x00,               // Alignment
                            0x02,               // Length
                            )
                        IO (Decode16,
                            0x00A0,             // Range Minimum
                            0x00A0,             // Range Maximum
                            0x00,               // Alignment
                            0x02,               // Length
                            )
                    })
                }

                Device (MAD)
                {
                    Name (_HID, EisaId ("PNP0200"))
                    Name (_CRS, ResourceTemplate ()
                    {
                        DMA (Compatibility, BusMaster, Transfer8, )
                            {4}
                        IO (Decode16,
                            0x0000,             // Range Minimum
                            0x0000,             // Range Maximum
                            0x10,               // Alignment
                            0x10,               // Length
                            )
                        IO (Decode16,
                            0x0081,             // Range Minimum
                            0x0081,             // Range Maximum
                            0x10,               // Alignment
                            0x03,               // Length
                            )
                        IO (Decode16,
                            0x0087,             // Range Minimum
                            0x0087,             // Range Maximum
                            0x10,               // Alignment
                            0x01,               // Length
                            )
                        IO (Decode16,
                            0x0089,             // Range Minimum
                            0x0089,             // Range Maximum
                            0x10,               // Alignment
                            0x03,               // Length
                            )
                        IO (Decode16,
                            0x008F,             // Range Minimum
                            0x008F,             // Range Maximum
                            0x10,               // Alignment
                            0x01,               // Length
                            )
                        IO (Decode16,
                            0x00C0,             // Range Minimum
                            0x00C0,             // Range Maximum
                            0x10,               // Alignment
                            0x20,               // Length
                            )
                    })
                }

                Device (COPR)
                {
                    Name (_HID, EisaId ("PNP0C04"))
                    Name (_CRS, ResourceTemplate ()
                    {
                        IO (Decode16,
                            0x00F0,             // Range Minimum
                            0x00F0,             // Range Maximum
                            0x00,               // Alignment
                            0x10,               // Length
                            )
                        IRQNoFlags ()
                            {13}
                    })
                }

                Device (HPTM)
                {
                    Name (_HID, EisaId ("PNP0103"))
                    Name (CRS, ResourceTemplate ()
                    {
                        Memory32Fixed (ReadOnly,
                            0xFED00000,         // Address Base
                            0x00000400,         // Address Length
                            _Y00)
                    })
                    Method (_STA, 0, NotSerialized)
                    {
                        Return (0x0F)
                    }

                    Method (_CRS, 0, NotSerialized)
                    {
                        CreateDWordField (CRS, \_SB.PCI0.LIBR.HPTM._Y00._BAS, HPBA)
                        Store (HPBA, HPBA)
                        Return (CRS)
                    }
                }
            }

            Device (HPBR)
            {
                Name (_ADR, 0x00140004)
            }

            Device (ACAD)
            {
                Name (_ADR, 0x00140005)
            }

            Device (ACMD)
            {
                Name (_ADR, 0x00140006)
            }

            OperationRegion (IOID, SystemIO, 0x2E, 0x02)
            Field (IOID, ByteAcc, NoLock, Preserve)
            {
                SIOI,   8, 
                SIOD,   8
            }

            IndexField (SIOI, SIOD, ByteAcc, NoLock, Preserve)
            {
                        Offset (0x07), 
                LDN,    8, 
                        Offset (0x20), 
                CID1,   8, 
                CID2,   8, 
                        Offset (0x30), 
                ACTR,   8, 
                        Offset (0xF0), 
                APC0,   8, 
                APC1,   8, 
                APC2,   8, 
                APC3,   8, 
                APC4,   8
            }

            Method (EPNP, 0, NotSerialized)
            {
                Store (0x87, SIOI)
                Store (One, SIOI)
                Store (0x55, SIOI)
                Store (0x55, SIOI)
            }

            Method (XPNP, 0, NotSerialized)
            {
                Store (0x02, SIOI)
                Store (0x02, SIOD)
            }

            Method (SIOS, 1, NotSerialized)
            {
                If (LLess (Arg0, 0x05))
                {
                    EPNP ()
                    Store (0x04, LDN)
                    Store (One, ACTR)
                    Store (0x04, LDN)
                    Store (0x08, APC1)
                    Store (0x04, LDN)
                    Store (0x08, APC0)
                    XPNP ()
                }
            }

            Method (SIOW, 1, NotSerialized)
            {
                EPNP ()
                Store (0x04, LDN)
                Store (Zero, APC0)
                Store (0x04, LDN)
                Store (0xFF, APC1)
                XPNP ()
            }

            Name (CRES, ResourceTemplate ()
            {
                IO (Decode16,
                    0x0CF8,             // Range Minimum
                    0x0CF8,             // Range Maximum
                    0x01,               // Alignment
                    0x08,               // Length
                    )
                WordIO (ResourceProducer, MinFixed, MaxFixed, PosDecode, EntireRange,
                    0x0000,             // Granularity
                    0x0000,             // Range Minimum
                    0x0CF7,             // Range Maximum
                    0x0000,             // Translation Offset
                    0x0CF8,             // Length
                    ,, , TypeStatic)
                WordIO (ResourceProducer, MinFixed, MaxFixed, PosDecode, EntireRange,
                    0x0000,             // Granularity
                    0x0D00,             // Range Minimum
                    0xFFFF,             // Range Maximum
                    0x0000,             // Translation Offset
                    0xF300,             // Length
                    ,, , TypeStatic)
                Memory32Fixed (ReadWrite,
                    0x00000000,         // Address Base
                    0x000A0000,         // Address Length
                    )
                Memory32Fixed (ReadOnly,
                    0x000A0000,         // Address Base
                    0x00020000,         // Address Length
                    )
                Memory32Fixed (ReadOnly,
                    0x000C0000,         // Address Base
                    0x00020000,         // Address Length
                    _Y01)
                Memory32Fixed (ReadOnly,
                    0x000E0000,         // Address Base
                    0x00020000,         // Address Length
                    )
                Memory32Fixed (ReadWrite,
                    0x00100000,         // Address Base
                    0x00000000,         // Address Length
                    _Y02)
                DWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
                    0x00000000,         // Granularity
                    0x00000000,         // Range Minimum
                    0x00000000,         // Range Maximum
                    0x00000000,         // Translation Offset
                    0x00000000,         // Length
                    ,, _Y03, AddressRangeMemory, TypeStatic)
                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
                    0x00000000FFFFFFFF, // Granularity
                    0x0000000000000000, // Range Minimum
                    0x0000000000000000, // Range Maximum
                    0x0000000000000000, // Translation Offset
                    0x0000000000000000, // Length
                    ,, _Y04, AddressRangeMemory, TypeStatic)
                QWordMemory (ResourceProducer, PosDecode, MinFixed, MaxFixed, Cacheable, ReadWrite,
                    0x00000000FFFFFFFF, // Granularity
                    0x0000000000000000, // Range Minimum
                    0x0000000000000000, // Range Maximum
                    0x0000000000000000, // Translation Offset
                    0x0000000000000000, // Length
                    ,, _Y05, AddressRangeMemory, TypeStatic)
            })
            Method (_CRS, 0, NotSerialized)
            {
                CreateDWordField (CRES, \_SB.PCI0._Y01._BAS, EM1B)
                CreateDWordField (CRES, \_SB.PCI0._Y01._LEN, EM1L)
                CreateDWordField (CRES, \_SB.PCI0._Y02._BAS, DMLB)
                CreateDWordField (CRES, \_SB.PCI0._Y02._LEN, DMLL)
                CreateDWordField (CRES, \_SB.PCI0._Y03._MIN, PBMB)
                CreateDWordField (CRES, \_SB.PCI0._Y03._LEN, PBML)
                CreateQWordField (CRES, \_SB.PCI0._Y04._MIN, DMHB)
                CreateQWordField (CRES, \_SB.PCI0._Y04._LEN, DMHL)
                CreateQWordField (CRES, \_SB.PCI0._Y05._MIN, EBMB)
                CreateQWordField (CRES, \_SB.PCI0._Y05._LEN, EBML)
                If (LGreater (LOMH, 0x000C0000))
                {
                    Store (0x000C0000, EM1B)
                    Subtract (LOMH, 0x000C0000, EM1L)
                }

                Subtract (TOM, 0x00100000, DMLL)
                If (LNotEqual (TOM2, Zero))
                {
                    Store (0x00000000, DMHB)
                    Subtract (TOM2, 0x00000000, DMHL)
                }

                If (LEqual (TOM2, Zero))
                {
                    Store (PBAD, PBMB)
                    Store (PBLN, PBML)
                }
                Else
                {
                    ShiftLeft (PBAD, 0x10, EBMB)
                    Store (PBLN, EBML)
                }

                Return (CRES)
            }

            Method (_INI, 0, NotSerialized)
            {
                CKOT ()
            }
        }

        Device (PWRB)
        {
            Name (_HID, EisaId ("PNP0C0C"))
            Name (_UID, 0xAA)
            Name (_PRW, Package (0x02)
            {
                0x03, 
                0x04
            })
            Name (_STA, 0x0B)
        }
    }

    Scope (_SI)
    {
        Method (_SST, 1, NotSerialized)
        {
        }
    }

    Mutex (SBX0, 0x00)
    OperationRegion (SMB0, SystemIO, 0x0B00, 0x0C)
    Field (SMB0, ByteAcc, NoLock, Preserve)
    {
        HSTS,   8, 
        SSTS,   8, 
        HCNT,   8, 
        HCMD,   8, 
        HADD,   8, 
        DAT0,   8, 
        DAT1,   8, 
        BLKD,   8, 
        SCNT,   8, 
        SCMD,   8, 
        SEVT,   8, 
        SDAT,   8
    }

    Method (WCLR, 0, NotSerialized)
    {
        Store (0x1E, HSTS)
        Store (0xFA, Local0)
        While (LAnd (LNotEqual (And (HSTS, 0x1E), Zero), LGreater (
            Local0, Zero)))
        {
            Stall (0x64)
            Decrement (Local0)
        }

        Return (Local0)
    }

    Method (SWTC, 1, NotSerialized)
    {
        Store (Arg0, Local0)
        Store (0x07, Local2)
        Store (One, Local1)
        While (LEqual (Local1, One))
        {
            Store (And (HSTS, 0x1E), Local3)
            If (LNotEqual (Local3, Zero))
            {
                If (LEqual (Local3, 0x02))
                {
                    Store (Zero, Local2)
                }

                Store (Zero, Local1)
            }
            Else
            {
                If (LLess (Local0, 0x0A))
                {
                    Store (0x10, Local2)
                    Store (Zero, Local1)
                }
                Else
                {
                    Sleep (0x0A)
                    Subtract (Local0, 0x0A, Local0)
                }
            }
        }

        Return (Local2)
    }

    Method (SMBR, 3, NotSerialized)
    {
        Store (0x07, Local0)
        If (LEqual (Acquire (SBX0, 0xFFFF), Zero))
        {
            Store (WCLR (), Local0)
            If (LEqual (Local0, Zero))
            {
                Release (SBX0)
                Return (Zero)
            }

            Store (0x1F, HSTS)
            Store (Or (ShiftLeft (Arg1, One), One), HADD)
            Store (Arg2, HCMD)
            If (LEqual (Arg0, 0x07))
            {
                Store (0x48, HCNT)
            }

            Store (SWTC (0x03E8), Local1)
            If (LEqual (Local1, Zero))
            {
                If (LEqual (Arg0, 0x07))
                {
                    Store (DAT0, Local0)
                }
            }
            Else
            {
                Store (Local1, Local0)
            }

            Release (SBX0)
        }

        Return (Local0)
    }

    Scope (_TZ)
    {
        Name (KELV, 0x0AAC)
        Name (THOT, 0x0320)
        Name (TCRT, 0x0352)
        ThermalZone (TZ00)
        {
            Method (_AC0, 0, NotSerialized)
            {
                Return (0x0AAA)
            }

            Method (_AL0, 0, NotSerialized)
            {
                Return (Package (0x01)
                {
                    FAN0
                })
            }

            Device (FAN0)
            {
                Name (_HID, EisaId ("PNP0C0B"))
                Name (_PR0, Package (0x01)
                {
                    PFN0
                })
            }

            PowerResource (PFN0, 0x00, 0x0000)
            {
                Method (_STA, 0, NotSerialized)
                {
                    Store (0x0F, Local0)
                    Return (Local0)
                }

                Method (_ON, 0, NotSerialized)
                {
                }

                Method (_OFF, 0, NotSerialized)
                {
                }
            }

            Method (_HOT, 0, NotSerialized)
            {
                Return (Add (THOT, KELV))
            }

            Method (_CRT, 0, NotSerialized)
            {
                Return (Add (TCRT, KELV))
            }

            Method (_TMP, 0, NotSerialized)
            {
                Store (SMBR (0x07, 0x4C, Zero), Local0)
                If (LGreater (Local0, 0x10))
                {
                    Store (Local0, Local1)
                }
                Else
                {
                    Add (Local0, THOT, Local0)
                    Return (Add (0x0190, KELV))
                }

                Store (SMBR (0x07, 0x4C, One), Local0)
                If (LGreater (Local0, 0x10))
                {
                    If (LGreater (Local0, Local1))
                    {
                        Store (Local0, Local1)
                    }

                    Multiply (Local1, 0x0A, Local1)
                    Return (Add (Local1, KELV))
                }
                Else
                {
                    Add (Local0, THOT, Local0)
                    Return (Add (0x0190, KELV))
                }
            }
        }
    }
}

